<?
define('PROTECTOR', 1);

$head = 'adm_panel';//фикс. места

$textl='Админ-панель';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');
$time=time();
$lt=$time-3600;
if($udata[prava]<4){
echo'Доступ закрыт!';
@include('files/down.php');
exit;}

switch($_GET[mod]){

default:
$teme=$time-84000;
$temp=mysql_num_rows(mysql_query("SELECT * FROM `temp` WHERE `status`='off' and `ltime` < '$lt'"));
$logi=mysql_num_rows(mysql_query("SELECT usr FROM log"));
$tmp=mysql_num_rows(mysql_query("SELECT usr FROM tmp"));
$regs=mysql_num_rows(mysql_query("SELECT * FROM `set` WHERE `datareg` > '$teme'"));
$refs=mysql_num_rows(mysql_query("SELECT * FROM `referer`"));
echo"<ul class='nav'> <li><a href=\"adm_panel.php?mod=24\">Регистраций (<b>$regs</b>)</a></li>";
//echo"<li><a href=\"cpanel.php?mod=4\">Создать новую вещь</a><br/>";
echo"<li><a href=\"cpanel.php?mod=3\">Создать новый арт</a></li>";
//echo"<a href=\"cpanel.php?mod=7\">Создать новую ауру</a><br/>";
//echo"<a href=\"adm_panel.php?mod=4\">Создать новую локацию</a><br/>";
echo"<li><a href=\"cpanel.php?mod=5\">Создать нового монстра</a></li>";
echo"<li><a href=\"cpanel.php?mod=8\">Создать нового босса</a></li>";
echo"<li><a href=\"adm_panel.php?mod=2\">Работа с готовыми вещами</a></li>";
echo"<li><a href=\"adm_panel.php?mod=6\">Управление монстрами</a></li>";
echo"<li><a href=\"adm_panel.php?mod=30\">Управление боссами</a></li>";
//echo"<a href=\"adm_panel.php?mod=8\">Управление локациями</a><br/>";
//echo"<a href=\"adm_panel.php?mod=19\">Управление аурами</a><br/>";
echo"<li><a href=\"cpanel.php?mod=2\">Поиск по ip</a></li>";
echo"<li><a href=\"adm_panel.php?mod=10\">Наложить бан</a></li>";
echo"<li><a href=\"adm_panel.php?mod=11\">Список забаненых</a></li>";
echo"<li><a href=\"adm_panel.php?mod=15\">Добавить статью</a></li>";
echo"<li><a href=\"adm_panel.php?mod=16\">Библиотека</a></li>";
if($udata[prava]==5){echo"<li><a href=\"adm_panel.php?mod=21\">Добавить новость</a></li>";}
echo"<li><a href=\"cpanel.php?mod=1\">Редактировать игрока</a></li>";
echo"<li><a href=\"adm_panel.php?mod=28\">Очистить табл. temp <font color='white'> ($temp лишних записей)</font></a></li>";
echo"<li><a href=\"adm_panel.php?mod=22\">Очистить табл. log <font color='white'> ($logi записей)</font></a></li>";
echo"<li><a href=\"adm_panel.php?mod=23\">Очистить табл. tmp <font color='white'> ($tmp записей)</font></a></li>
<li><a href=\"adm_panel.php?mod=26\">Оптимизировать БД</a></li>
<li><a href=\"adm_panel.php?mod=25\">Объявления</a></li></div>";
//<li><a href=\"partner.php?mod=admin\">Партнерка</a></li>
//<li><a href=\"adm_panel.php?mod=4\">Рефералы (<b>$refs</b>)</a></li>

break;

case '2':
$req = mysql_query("SELECT * FROM `shops`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b> [<a href=\"adm_panel.php?mod=3&id=$mag[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=14&id=$mag[id]\">изм</a>]<br/>";}}else{
echo"<b>Нет вещей</b><br/>";}
echo"<a href=\"adm_panel.php?mod=2\">Назад</a>";
break;

case '3':
if(empty($_GET[id])){
echo"Ошибка невыбрана вещь!";
@include('files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shops` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";@include('files/down.php');exit;}
mysql_query("DELETE FROM `shops` WHERE `id`='$_GET[id]'");
echo'Вещь удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '4':
$den = date("d", time());
$req = mysql_query("SELECT * FROM `referer` where `day`='$den' ORDER BY id DESC");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нету))";@include('files/down.php');exit;}
echo"<ul class='nav'>";
While($ref = mysql_fetch_array($req)){
echo" <li><a href='$ref[ref]'>$ref[id]: $ref[ref] agent: <b>$ref[brauser]</b></a></lu>";
}
$den=$den-1;
mysql_query("DELETE FROM `referer` WHERE `day`='$den'");
echo"</ul><a href=\"adm_panel.php?\">«Назад</a>";
break;

case '6':
if(!empty($_GET[b])){$b=htmlspecialchars($_GET[b]);
$req = mysql_query("SELECT * FROM `mobs` WHERE `bitva`='$b'");}else{
$req = mysql_query("SELECT * FROM `mobs`");}
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<b>$mag[name] ($mag[rang];$mag[lvl])</b> [<a href=\"adm_panel.php?mod=7&amp;id=$mag[id]\">удалить</a>] [<a href=\"cpanel.php?mod=6&amp;id=$mag[id]\">изм</a>]<br/>";}
}else{
echo"<b>Нет монстров</b><br/>";}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '7':
if(empty($_GET[id])){
echo"Ошибка невыбран монстр!";
include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `mobs` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";@include('files/down.php');exit;}
mysql_query("DELETE FROM `mobs` WHERE `id`='$_GET[id]'");
echo'Монстр удалён!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '10':
if(empty($_POST[text])){
echo '<form action="adm_panel.php?mod=10" method="post">';
echo"Логин:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>";

echo"Причина бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип времени:<br/>
<select name=\"times\">
<option value=\"sec\">Секунд</option>
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
<option value=\"sut\">Суток</option>
</select><br/>";
echo '<input class="button" type="submit" value="Забанить" /></form>';}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";include('files/down.php');exit;}
if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}
if($_POST[times]==sut){$_POST[time]=$_POST[time]*3600*24;}
$time_ban=time()+$_POST[time];
mysql_query("INSERT INTO
        `ban` SET
        `usr` = '$_POST[nick]',
        `admin` = '$log',
        `text` = '$_POST[text]',
        `ban_time` = '$time_ban'");
echo'Игрок '.$_POST[nick].' забанен!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '11':
$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<b>$mag[usr]</b> [<a href=\"adm_panel.php?mod=12&id=$mag[id]\">снять бан</a>]
 [<a href=\"adm_panel.php?mod=29&usr=$mag[usr]\">дать блок</a>]<br/>";}
}else{
echo"<b>Нет забаненых!</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '12':
if(empty($_GET[id])){
echo"Ошибка невыбран игрок!";
include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `ban` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include('files/down.php');exit;}
mysql_query("DELETE FROM `ban` WHERE `id`='$_GET[id]'");
echo'Бан снят!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '14':
if(empty($_GET[id])){
echo"Ошибка невыбрана вещь!";
include('files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shops` WHERE `id`='$_GET[id]' LIMIT 1");
if (mysql_num_rows($req)==0){echo"Такой вещи не существует.";include('files/down.php');exit;}
$item = mysql_fetch_array($req);
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=14&amp;id='.$_GET[id].'" method="post">';
echo"Комплект<br/>
<input class='input' type=\"text\" value=\"$item[kompl]\" size=\"10\" name=\"kompl\"/><br/>
Тип:<br/><select name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"golova\">Шлем</option>
<option value=\"body\">Доспехи</option>
<option value=\"ruki\">Рукавицы</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"plash\">Плащ</option>
<option value=\"poyas\">Пояс</option>
<option value=\"shit\">Щит</option>
<option value=\"amulet\">Амулет</option>
<option value=\"kolco\">Кольцо</option></select><br/>
Имя<br/>
<input class='input' type=\"text\" value=\"$item[name]\" size=\"10\" name=\"name\"/><br/>
Цена<br/>
<input class='input' type=\"text\" value=\"$item[cena]\" size=\"10\" name=\"cena\"/><br/>
Cилы<br/>
<input class='input' type=\"text\" value=\"$item[sila]\" size=\"10\" name=\"sila\"/><br/>
Здоровья<br/>
<input class='input' type=\"text\" value=\"$item[hp]\" size=\"10\" name=\"hp\"/><br/>
Маны<br/>
<input class='input' type=\"text\" value=\"$item[mp]\" size=\"10\" name=\"mp\"/><br/>
Крит<br/>
<input class='input' type=\"text\" value=\"$item[krit]\" size=\"10\" name=\"krit\"/><br/>
Урон-крит<br/>
<input class='input' type=\"text\" value=\"$item[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>
Ловкости<br/>
<input class='input' type=\"text\" value=\"$item[lovk]\" size=\"10\" name=\"lovk\"/><br/>
Физ.защита <br/>
<input class='input' type=\"text\" value=\"$item[prot]\" size=\"10\" name=\"prot\"/><br/>
Требуемый уровень<br/>
<input class='input' type=\"text\" value=\"$item[nlvl]\" size=\"10\" name=\"nlvl\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';}else{
if($_POST[cena]==$item[cena]){$cena=($_POST[hp]+$_POST[mp]+$_POST[krit]+$_POST[ukrit]+$_POST[sila]+$_POST[lovk]+$_POST[prot])*10;}else{
$cena=$_POST[cena];}
mysql_query("UPDATE `shops` SET
        `kompl` = '$_POST[kompl]',
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$cena',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `nlvl` = '$_POST[nlvl]' WHERE id='$_GET[id]' LIMIT 1") or die (mysql_error());
echo'Вещь '.$_POST[name].' изменена!<br/>';}
echo"<a href=\"adm_panel.php?mod=2\">Назад</a>";
break;

case '15':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=15" method="post">';
echo"Название:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo'Текст:<br/>
<textarea name="text" cols="30" rows="10"></textarea><br/>';
echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
mysql_query("INSERT INTO `library` SET
        `title` = '$_POST[name]',
        `text` = '$_POST[text]',
        `author` = '$log',`time`='".date("d.m.y")."'");
echo'Статья '.$_POST[name].' написана!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";}
break;

case '16':
$req = mysql_query("SELECT * FROM `library`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<b><a href=\"library.php?id=$mag[id]&mod=read\">
$mag[title]</a></b> [<a href=\"adm_panel.php?mod=17&id=$mag[id]\">удалить</a> <a href=\"adm_panel.php?mod=27&id=$mag[id]\">изм.</a>]<br/>";
}}else{
echo"<b>Нет статей</b><br/>";}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '17':
if(empty($_GET[id])){
echo"Ошибка невыбрана статья!";
include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `library` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include('files/down.php');exit;}
mysql_query("DELETE FROM `library` WHERE `id`='$_GET[id]'");
echo'Статья удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '19':
$req = mysql_query("SELECT * FROM `shop_aura`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<b>$mag[name]</b> [<a href=\"adm_panel.php?mod=20&amp;id=$mag[id]\">удалить</a>]<br/>";
}}else{
echo"<b>Нет аур</b><br/>";}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '20':
if(empty($_GET[id])){
echo"Ошибка невыбрана аура!";
include('files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shop_aura` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include('files/down.php');exit;}
mysql_query("DELETE FROM `shop_aura` WHERE `id`='$_GET[id]' LIMIT 1");
echo'Аура удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '21':
if(empty($_POST[text])){
echo '<form action="adm_panel.php?mod=21" method="post">';
echo"Название новости:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo'Текст:<br/>
<textarea name="text" cols="30" rows="10"></textarea><br/>';
echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
$_POST[name]=htmlspecialchars($_POST[name]);
$_POST[text]=htmlspecialchars($_POST[text]);
mysql_query("INSERT INTO `news` SET
        `title` = '$_POST[name]',
        `text` = '$_POST[text]',
        `time`='".date("d.m.y")."'");
mysql_query("INSERT INTO `forum_topics` SET `id_cat` = '1', `title` = '$_POST[name]', 
`authour` = '".$log."', `time` = '".time()."'");
$last_id = mysql_insert_id();
mysql_query("INSERT INTO `forum_msg` SET `id_cat` = '1', `id_topic` = '$last_id', `text` = '$_POST[text]', `login` = '".$log."', `time` = '".time()."'");
echo'Новость '.$_POST[name].' добавлена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";}
break;

case '22':
$logi=mysql_num_rows(mysql_query("SELECT usr FROM log"));
if(empty($_GET[ok])){echo"Очистить log?</br><a href=\"adm_panel.php?mod=22&ok=ok\">Да</a></br><a href=\"adm_panel.php?\">Нет</a>";break;}elseif($_GET[ok]=ok){
echo"Очистка запущена! Удалено $logi записей</br><a href=\"adm_panel.php?\">Назад</a>";
mysql_query("TRUNCATE TABLE `log`");}
break;

case '23':
$tmp=mysql_num_rows(mysql_query("SELECT usr FROM tmp"));
if(empty($_GET[ok])){echo"Очистить tmp?</br><a href=\"adm_panel.php?mod=23&ok=ok\">Да</a></br><a href=\"adm_panel.php?\">Нет</a>";break;}elseif($_GET[ok]=ok){
echo"Очистка запущена! Удалено $tmp записей</br><a href=\"adm_panel.php?\">Назад</a>";
mysql_query("TRUNCATE TABLE `tmp`");}
break;

case '24':
$teme=$time-84000;
$req = mysql_query("SELECT * FROM `set` WHERE `datareg`>'$teme'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<b><a href=\"search.php?nick=$mag[usr]&amp;go=go\">$mag[usr]</a></b>";
if(!empty($mag[referer])){echo" пришел с <small>$mag[referer]</small><br/>";}else{echo"</br>";}
}}else{
echo"<b>Нет зарегистрированных!</b><br/>";}
echo"$div <a href=\"adm_panel.php?\">«Назад</a>";
break;

case '25':
if(empty($_POST[name])){
$req = mysql_query("SELECT * FROM `zametka` LIMIT 1");
$mag = mysql_fetch_array($req);
echo '<form action="adm_panel.php?mod=25" method="post">';
echo"Текст примечания:<br/>
<textarea name=\"name\" cols=\"30\" rows=\"10\">$mag[name]</textarea><br/>
Статус:<br/>
<select name=\"status\"><br/>
<option value=\"on\">on</option><br/>
<option value=\"off\">off</option></br>
<input class=\"button\" type=\"submit\" value=\"Cохранить\" /></form>";
}else{

$b = html_entity_decode($_POST[name]);
mysql_query("UPDATE `set` SET `prim` = '$_POST[status]'");
mysql_query("UPDATE `zametka` SET `name` = '".html_entity_decode($_POST[name])."',`status` = '$_POST[status]', `log`='$log'");
echo'Примечание</br> "'.$_POST[name].'" </br>добавлено, изменено!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";}
break;

case '26':
require_once'files/db.php';
$at = mysql_query('SHOW TABLES');  //получим список таблиц
$avto=mysql_num_rows($req);
while ($tables = mysql_fetch_assoc($at)) 
{foreach ($tables as $bd => $table) { 
mysql_query('OPTIMIZE TABLE `'.trim($table).'`')or die(mysql_error());}}
echo 'База данных оптимизирована!</br>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '27':
if(empty($_GET[id])){
echo"Ошибка невыбрана статья!";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `library` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
$lib = mysql_fetch_array($req);
if($avto==0){echo"Ошибка!";@include('files/down.php');exit;}
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=27&id='.$_GET[id].'" method="post">';
echo"Название:<br/>
<input class='input' type=\"text\" value=\"$lib[title]\" size=\"20\" name=\"name\"/><br/>";
echo"Текст:<br/>
<textarea name=\"text\" cols=\"30\" rows=\"10\">$lib[text]</textarea><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
$b = html_entity_decode($_POST[text]);
mysql_query("UPDATE `library` SET
        `title` = '$_POST[name]',
        `text` = '$b',
        `author` = '$log',`time`='".date("d.m.y")."' WHERE `id`='$_GET[id]'");
echo'Статья '.$_POST[name].' исправлена!<br/>';
echo"<a href=\"adm_panel.php?mod=16\">Назад</a>";}
break;

case '28':
$tmp=mysql_query("SELECT * FROM `temp` WHERE `status`='off' and `ltime` < '$lt'");
$avto=mysql_num_rows($tmp);
if(empty($_GET[ok])){echo"Очистить temp?</br><a href=\"adm_panel.php?mod=28&ok=ok\">Да</a></br><a href=\"adm_panel.php?\">Нет</a>";break;}elseif($_GET[ok]=ok){
echo"Очистка запущена! Удалено $avto записей</br><a href=\"adm_panel.php?\">Назад</a>";
mysql_query("DELETE FROM `temp` WHERE `status`='off' and `ltime` < '$lt' LIMIT $avto");}
break;

case '29':
if(empty($_POST[nick])){
echo '<form action="adm_panel.php?mod=29" method="post">';
echo"Логин:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>
</select><br/>";
echo '<input class="button" type="submit" value="Заблокировать" /></form>';}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";include('files/down.php');exit;}

mysql_query("UPDATE `ban` SET `block` = '1' WHERE `usr` = '$_POST[nick]'");
echo'Игрок '.$_POST[nick].' заблокирован!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '30':
$req = mysql_query("SELECT * FROM `boss`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<b>$mag[name] ($mag[rang];$mag[lvl])</b> [<a href=\"cpanel.php?mod=9&id=$mag[id]\">изменить</a>]<br/>";}
}else{
echo"<b>Нет монстров</b><br/>";}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

}
@include('files/down.php');
?>